import { ITable } from "@aws-cdk/aws-dynamodb";
import { IBucket } from "@aws-cdk/aws-s3";
import { Construct, Stack } from "@aws-cdk/core";
/**
 * @stability stable
 */
export interface TerraformStateBackendProps {
    /**
     * @stability stable
     */
    readonly namePrefix?: string;
}
/**
 * @stability stable
 */
export declare class TerraformStateBackend extends Construct {
    /**
     * @stability stable
     */
    readonly bucket: IBucket;
    /**
     * @stability stable
     */
    readonly table: ITable;
    /**
     * @stability stable
     */
    constructor(scope: Stack, id: string, props: TerraformStateBackendProps);
}
